Package: org.grails.spring.context.support

## [Java] Class PropertiesHolderCacheEntry

- org.grails.spring.context.support.ReloadableResourceBundleMessageSource.PropertiesHolderCacheEntry

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ReloadableResourceBundleMessageSource.PropertiesHolderCacheEntry ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected ReloadableResourceBundleMessageSource.PropertiesHolder` | `updateValue(ReloadableResourceBundleMessageSource.PropertiesHolder oldValue, java.util.concurrent.Callable<PropertiesHolder> updater, java.lang.Object cacheRequestObject)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CacheEntry` | `expire, getCreatedMillis, getValue, getValue, getValue, getValue, getValue, getValue, getValueWhileUpdating, hasExpired, isInitialized, resetTimestamp, setInitialized, setValue, shouldUpdate, updateValue`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public ReloadableResourceBundleMessageSource.PropertiesHolderCacheEntry()

  - ### Method Detail

    - #### @java.lang.Override protected ReloadableResourceBundleMessageSource.PropertiesHolder updateValue(ReloadableResourceBundleMessageSource.PropertiesHolder oldValue, java.util.concurrent.Callable<PropertiesHolder> updater, java.lang.Object cacheRequestObject)